SlidesGPTSlidesGPT API

List Templates

Retrieve all custom templates you've uploaded

GET /v1/templates

Retrieve all custom templates you've uploaded.

Request

curl https://api.slidesgpt.com/v1/templates \
  -H "Authorization: Bearer YOUR_API_KEY"
const response = await fetch("https://api.slidesgpt.com/v1/templates", {
  headers: { Authorization: "Bearer YOUR_API_KEY" },
});

const templates = await response.json();
import requests

headers = {'Authorization': 'Bearer YOUR_API_KEY'}
response = requests.get(
    'https://api.slidesgpt.com/v1/templates',
    headers=headers
)

templates = response.json()

Response

Returns an array of template objects.

FieldTypeDescription
idstringUnique identifier for the template
createdAtstringISO 8601 timestamp of when uploaded
Response
[
  {
    "id": "4a8ec7b3-c043-4d15-88e3-7d63803878f4",
    "createdAt": "2025-11-18T18:08:25.000Z"
  },
  {
    "id": "7b2cd9e1-f234-4a56-b789-c123d456e789",
    "createdAt": "2025-11-17T14:22:10.000Z"
  }
]

On this page